//
//  TrackFinder.hpp
//  DB_Track
//
//  Created by Baranyai David on 2018. 06. 05..
//

#ifndef TrackFinder_hpp
#define TrackFinder_hpp

#include <stdio.h>
#include <fstream>
#include <vector>
#include <string>
#include <sstream>

class TrackFinder
{
public:
    TrackFinder();
    ~TrackFinder();
    bool FindTrack();
    void GetTrack(std::vector<int>&, std::vector<int>&, std::vector<int>&, std::vector<int>&);
    
private:
    std::ifstream file;
    std::string line;
    int interval = 700000; //nanosec
    
    int iterator = 0;
    
    int ch_id_1 = 0;
    int sec_1 = 0;
    int nsec_1 = 0;
    int amp_1 = 0;
    
    int line_data[4];
    
    std::vector<int> ch_id;
    std::vector<int> amp;
    std::vector<int> sec;
    std::vector<int> nsec;
    
    bool istrackavailable = false;
};

#endif /* TrackFinder_hpp */
